---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: radarr
  labels:
    app.mcf.io/name: autopirate
    app.mcf.io/component: radarr
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.tls.options: default-milton-mcf-io@kubernetescrd
    traefik.ingress.kubernetes.io/router.middlewares: default-secured@kubernetescrd
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  rules:
  - host: radarr.milton.mcf.io
    http:
      paths:
      - path: /
        backend:
          serviceName: radarr
          servicePort: 7878
  tls:
  - secretName: radarr-tls
    hosts:
    - radarr.milton.mcf.io
